function skill3046(j)

if j==1 then

npc.AddStat(1,0,200,25,3)

x=0
y=0
z=0
xmin=0
xmax=0
x={1,2,3,4}
y={1,2,3,4}
z={1,2,3,4}
ps=0
fs=0
fs={}

for rsi=1,4,1 do
finish=0
for i=0,9,1 do
p=2^i
if player.IsPlayerInBattle(p)==1 and finish==0 and fs[p]~=1 then
x[rsi],y[rsi],z[rsi] = player.GetPos(p)
fs[p]=1
finish=1
ps=ps+1
end
end
end

if ps>=2 then
if x[2]>x[1] then xmax=2 xmin=1 else xmax=1 xmin=2 end
if y[2]>y[1] then ymax=2 ymin=1 else ymax=1 ymin=2 end
if z[2]>z[1] then zmax=2 zmin=1 else zmax=1 zmin=2 end
if ps>=3 then
if x[3]>x[xmax] then xmax=3 end
if y[3]>y[ymax] then ymax=3 end
if z[3]>z[zmax] then zmax=3 end
if x[3]<x[xmin] then xmin=3 end
if y[3]<y[ymin] then ymin=3 end
if z[3]<z[zmin] then zmin=3 end
end
if ps==4 then
if x[4]>x[xmax] then xmax=4 end
if y[4]>y[ymax] then ymax=4 end
if z[4]>z[zmax] then zmax=4 end
if x[4]<x[xmin] then xmin=4 end
if y[4]<y[ymin] then ymin=4 end
if z[4]<z[zmin] then zmin=4 end
end
x=(x[xmin]+x[xmax])/2
y=(y[ymin]+y[ymax])/2
z=(z[zmin]+z[zmax])/2
else
x=x[1]
y=y[1]
z=z[1]
end

y=y+5
--x,y,z = player.GetPos(2)

npc.CreateFloat(16001,72,x-12,y+50,z+165)--دة؛×1
npc.SetAt(72,1,0)
npc.SetSpeed(72,6)
npc.CreateFloat(16001,73,x+97,y+80,z+202)--دة؛×2
npc.SetAt(73,1,0)
npc.SetSpeed(73,7)
npc.CreateFloat(16001,74,x-190,y+90,z+290)--دة؛×3
npc.SetAt(74,1,0)
npc.SetSpeed(74,6)
npc.CreateFloat(16001,75,x-27,y+40,z+233)--دة؛×4
npc.SetAt(75,1,0)
npc.SetSpeed(75,6)
npc.CreateFloat(16001,76,x+67,y+60,z+304)--دة؛×5
npc.SetAt(76,1,0)
npc.SetSpeed(76,7)
npc.CreateFloat(16001,77,x+267,y+45,z+276)--دة؛×6
npc.SetAt(77,1,0)
npc.SetSpeed(77,7)

npc.FloatTo(72,x+15,y+30,z-526)--1
global.Wait(0.3)
npc.FloatTo(73,x+78,y+20,z-369)--2
npc.FloatTo(74,x-118,y+10,z-542)--3
global.Wait(0.5)
effect.MotionBlur(1)
npc.FloatTo(75,x-26,y+20,z-372)--4
global.Wait(0.3)
npc.FloatTo(76,x+74,y+35,z-444)--5
global.Wait(0.3)
npc.FloatTo(77,x+141,y+20,z-445)--6

global.WaitForNpcPos3D(72,x+15,y+30,z-526)
npc.SetAppear(72,2)
global.WaitForNpcPos3D(73,x+78,y+20,z-369)
npc.SetAppear(73,2)
global.WaitForNpcPos3D(74,x-118,y+10,z-542)
npc.SetAppear(74,2)
global.WaitForNpcPos3D(75,x-26,y+20,z-372)
npc.SetAppear(75,2)
global.WaitForNpcPos3D(76,x+74,y+35,z-444)
npc.SetAppear(76,2)
global.WaitForNpcPos3D(77,x+141,y+20,z-445)
npc.SetAppear(77,2)

npc.Destroy(72)
npc.Destroy(73)
npc.Destroy(74)
npc.Destroy(75)
npc.Destroy(76)
npc.Destroy(77)

effect.MotionBlur(0)

end


end